---
title: List communication sessions
method: GET
weight: 1
section: 'Basics'
---

import {
  EndpointHeader,
  ParamField,
  ParamFields,
  CodeGroup,
  RequestExample,
  ResponseExample,
} from '@/components/api';

<EndpointHeader method="GET" path="/api/v1/seances" />

Returns a paged list of telemetry communication sessions, optionally filtered by telemetry unit and time interval.

<ParamFields title="Query parameters">
  <ParamField name="telemetry_id" type="integer">
    Telemetry unit identifier. Optional — narrows the selection.
  </ParamField>
  <ParamField name="fp_start" type="string">
    Time interval (segment start) in `yyyy-mm-dd` format. Optional.
  </ParamField>
  <ParamField name="fp_end" type="string">
    Time interval (segment end) in `yyyy-mm-dd` format. Optional.
  </ParamField>
  <ParamField name="page" type="integer">
    Page number.
  </ParamField>
</ParamFields>

## Response fields

| Attribute                             | Description                                                                     |
| ------------------------------------- | ------------------------------------------------------------------------------- |
| `id`                                  | Identifier (unique key) of the communication session in the system              |
| `telemetry_id`                        | Identifier (unique key) of the telemetry unit in the system                     |
| `event_time`                          | Date and time of the communication session in UTC format                        |
| `Evtid`                               | Communication session reason code                                               |
| `Trycnt`                              | Number of retries                                                               |
| `Tryfl`                               | Retry code                                                                      |
| `state`                               | Communication session status                                                    |
| `Btm`                                 | Telemetry battery charge                                                        |
| `Rssi`                                | Signal level (RSSI)                                                             |
| `Bsg`                                 | Metrological battery charge                                                     |
| `gettime`                             | Server current-time request                                                     |
| `next_session_time`                   | Scheduled time of the next communication session                                |
| `referenceparameter_seance_status_id` | Identifier of the communication session status in the system                    |
| `duration_session`                    | Communication session duration                                                  |
| `session_traffic`                     | Traffic volume                                                                  |
| `millisecond`                         | Milliseconds                                                                    |
| `data`                                | Array of returned data                                                          |
| `total_pages`                         | Total number of pages in the returned set                                       |
| `current_page`                        | Current page                                                                    |
| `next_page`                           | Next page available for downloading, `null` if the current page is the last one |

<RequestExample>
  <CodeGroup labels={["curl", "Node", "Python", "Go", "PHP"]}>
    <Fragment slot="panel-0">

```bash
curl -i \
  --header "access-token: *********************" \
  --header "token-type: Bearer" \
  --header "client: **********************" \
  --header "uid: user@local.net" \
  --header "Content-Type: application/json" \
  --request GET \
  "https://uztgs.uz/api/v1/seances?telemetry_id=1111&fp_start=2021-11-02&fp_end=2021-11-30&page=2"
```

    </Fragment>
    <Fragment slot="panel-1">

```js
const res = await fetch(
  'https://uztgs.uz/api/v1/seances?telemetry_id=1111&fp_start=2021-11-02&fp_end=2021-11-30&page=2',
  {
    headers: {
      'access-token': '*********************',
      'token-type': 'Bearer',
      client: '**********************',
      uid: 'user@local.net',
      'Content-Type': 'application/json',
    },
  },
);
const data = await res.json();
```

    </Fragment>
    <Fragment slot="panel-2">

```python
import requests

res = requests.get(
    "https://uztgs.uz/api/v1/seances",
    params={
        "telemetry_id": 1111,
        "fp_start": "2021-11-02",
        "fp_end": "2021-11-30",
        "page": 2,
    },
    headers={
        "access-token": "*********************",
        "token-type": "Bearer",
        "client": "**********************",
        "uid": "user@local.net",
        "Content-Type": "application/json",
    },
)
data = res.json()
```

    </Fragment>
    <Fragment slot="panel-3">

```go
req, _ := http.NewRequest("GET", "https://uztgs.uz/api/v1/seances?telemetry_id=1111&fp_start=2021-11-02&fp_end=2021-11-30&page=2", nil)
req.Header.Set("access-token", "*********************")
req.Header.Set("token-type", "Bearer")
req.Header.Set("client", "**********************")
req.Header.Set("uid", "user@local.net")
req.Header.Set("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)
```

    </Fragment>
    <Fragment slot="panel-4">

```php
$ch = curl_init("https://uztgs.uz/api/v1/seances?telemetry_id=1111&fp_start=2021-11-02&fp_end=2021-11-30&page=2");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "access-token: *********************",
    "token-type: Bearer",
    "client: **********************",
    "uid: user@local.net",
    "Content-Type: application/json",
]);
$data = json_decode(curl_exec($ch), true);
```

    </Fragment>

  </CodeGroup>
</RequestExample>

<ResponseExample>

```json
{
  "data": [
    {
      "id": 303481,
      "telemetry_id": 1111,
      "event_time": 1636202160,
      "Evtid": null,
      "Trycnt": null,
      "Tryfl": null,
      "state": 0,
      "Btm": 3900,
      "Rssi": 23,
      "Bsg": null,
      "gettime": true,
      "next_session_time": 1636204200,
      "referenceparameter_seance_status_id": 99,
      "duration_session": null,
      "session_traffic": null,
      "millisecond": null
    }
  ],
  "total_pages": 2,
  "current_page": 1,
  "next_page": 2
}
```

</ResponseExample>
